Index: tests/GuiChecks/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,83 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 4. (un)select all atoms of molecule
+
+AT_SETUP([Selection - All atoms of selected molecules])
+AT_KEYWORDS([selection select-molecules-atoms])
+
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 -I --select-molecule-by-id 1 --select-molecules-atoms -r --no-dry-run --store-session session-selection-select-all-atoms-of-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-all-atoms-of-molecule.py >session-selection-select-all-atoms-of-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-all-atoms-of-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/post/molecule0.xyz], 0, [ignore], [ignore])
+
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 -I --select-molecule-by-id 0 --select-molecules-atoms -r --no-dry-run --store-session session-selection-select-all-atoms-of-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-all-atoms-of-molecule.py >session-selection-select-all-atoms-of-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-all-atoms-of-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/post/molecule1.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms of selected molecules with Undo])
+AT_KEYWORDS([selection select-molecules-atoms undo])
+
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 -I --select-molecule-by-id 1 --select-molecules-atoms --undo -r --no-dry-run --store-session session-selection-select-all-atoms-of-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-all-atoms-of-molecule.py >session-selection-select-all-atoms-of-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-all-atoms-of-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/post/test.xyz], 0, [ignore], [ignore])
+
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 -I --select-molecule-by-id 0 --select-molecules-atoms --undo -r --no-dry-run --store-session session-selection-select-all-atoms-of-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-all-atoms-of-molecule.py >session-selection-select-all-atoms-of-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-all-atoms-of-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/post/test.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms of selected molecules with Redo])
+AT_KEYWORDS([selection select-molecules-atoms redo])
+
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 -I --select-molecule-by-id 1 --select-molecules-atoms --undo --redo -r --no-dry-run --store-session session-selection-select-all-atoms-of-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-all-atoms-of-molecule.py >session-selection-select-all-atoms-of-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-all-atoms-of-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/post/molecule0.xyz], 0, [ignore], [ignore])
+
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 -I --select-molecule-by-id 0 --select-molecules-atoms --undo --redo -r --no-dry-run --store-session session-selection-select-all-atoms-of-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-all-atoms-of-molecule.py >session-selection-select-all-atoms-of-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-all-atoms-of-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/post/molecule1.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,84 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 4. (un)select all atoms of molecule
+
+
+AT_SETUP([Unselection - All atoms of selected molecules])
+AT_KEYWORDS([unselection unselect-molecules-atoms])
+
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 0 --unselect-molecules-atoms -r --no-dry-run --store-session session-selection-unselect-all-atoms-of-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-all-atoms-of-molecule.py >session-selection-unselect-all-atoms-of-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-all-atoms-of-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/post/molecule0.xyz], 0, [ignore], [ignore])
+
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 1 --unselect-molecules-atoms -r --no-dry-run --store-session session-selection-unselect-all-atoms-of-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-all-atoms-of-molecule.py >session-selection-unselect-all-atoms-of-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-all-atoms-of-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/post/molecule1.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms of selected molecules with Undo])
+AT_KEYWORDS([unselection unselect-molecules-atoms undo])
+
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 0 --unselect-molecules-atoms --undo -r --no-dry-run --store-session session-selection-unselect-all-atoms-of-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-all-atoms-of-molecule.py >session-selection-unselect-all-atoms-of-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-all-atoms-of-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/post/empty.xyz], 0, [ignore], [ignore])
+
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 1 --unselect-molecules-atoms --undo -r --no-dry-run --store-session session-selection-unselect-all-atoms-of-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-all-atoms-of-molecule.py >session-selection-unselect-all-atoms-of-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-all-atoms-of-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/post/empty.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms of selected molecules with Redo])
+AT_KEYWORDS([unselection unselect-molecules-atoms redo])
+
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 0 --unselect-molecules-atoms --undo --redo -r --no-dry-run --store-session session-selection-unselect-all-atoms-of-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-all-atoms-of-molecule.py >session-selection-unselect-all-atoms-of-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-all-atoms-of-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/post/molecule0.xyz], 0, [ignore], [ignore])
+
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 1 --unselect-molecules-atoms --undo --redo -r --no-dry-run --store-session session-selection-unselect-all-atoms-of-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-all-atoms-of-molecule.py >session-selection-unselect-all-atoms-of-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-all-atoms-of-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AllAtomsOfMolecule/post/molecule1.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
